| Face Engine SDK 5.33.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
fsdk::ISettingsProvider::Entry Struct Reference

Configuration parameter entry. More...

`#include <ISettingsProvider.h>`

## Public Member Functions
| Entry () noexcept=default
| Initialize an empty entry.
| Entry (Entry &&right)
Entry & | operator= (Entry &&right)
void | swap (Entry &first, Entry &second)
| Entry (const Desc &desc, Value &&value) noexcept
| Initialize an entry. More...
void | setDesc (const Desc &desc) noexcept
| Set description. More...
void | setValue (Value &&value) noexcept
| Set value. More...
const Desc & | getDesc () const noexcept
| Get description. More...
const Value & | getValue () const noexcept
| Get value. More...

## Public Attributes
Value | m_value
| Parameter value.
Desc | m_desc
| Parameter description.

## Detailed Description

Configuration parameter entry.

## Constructor & Destructor Documentation

fsdk::ISettingsProvider::Entry::Entry | ( | const Desc & | desc,
|  | Value && | value
| ) |  |
| noexcept

Initialize an entry.

Parameters

  desc | description.
  value | value.

## Member Function Documentation

const Desc& fsdk::ISettingsProvider::Entry::getDesc | ( |  | ) | const
| noexcept

Get description.

Returns
  description.

const Value& fsdk::ISettingsProvider::Entry::getValue | ( |  | ) | const
| noexcept

Get value.

Returns
  value.

void fsdk::ISettingsProvider::Entry::setDesc | ( | const Desc & | desc | ) |
| noexcept

Set description.

Parameters

  desc | description.

void fsdk::ISettingsProvider::Entry::setValue | ( | Value && | value | ) |
| noexcept

Set value.

Parameters

  value | value.

The documentation for this struct was generated from the following file:

- include/fsdk/ISettingsProvider.h